Subject: Re: [TR] Aluminum radiators

From: Darrell Walker <[email-masked]>
Date: Wed, 23 Oct 2013 18:42:37 -0700

Hi David,

I think you have an option to either have the current radiator cleaned or
re-cored.  Not sure what that would cost these days.

If you go for an aluminum radiator, Im very happy with mine from Wizard
Cooling:

http://wizardcooling.com/1953-1965-triumph-tr2-tr3-aluminum-radiator

-Darrell

--
Darrell Walker
66 TR4A IRS-SC CTC67956L
81 TR8 SATPZ458XBA406206
Vancouver, WA, USA

** [email-masked] **

Archive: http://www.team.net/archive

---

From: WBEECH <[email-masked]>
Date: Wed, 23 Oct 2013 21:21:59 -0500

Option 5) install and electric fan to boost up one of your current radiators.

Bill

Sent from my iPhone

> On Oct 23, 2013, at 7:58 PM, David Ljung Madison <[email-masked]>
wrote:
>
> My TR3A is finally coming back together.  I have it at Greg Solow's
> Engine Room in Santa Cruz (I believe he did TeriAnn's Triumph).
>
> They are saying that the radiator doesn't have lots of flow and
> are recommending switching to an aluminum radiator.  Somewhere
> in storage I have a stock radiator in good shape that has the crank
> hole (my current one doesn't).  I checked on ebay and the
> prices of aluminum radiators vary massively - from $250 to $700.
> Greg can get one that is good quality for ~$700.
>
> So my options:
>
> 1) Use the current radiator, and don't go on the race track
> 2) Use the storage radiator so I have the starter crank hole again,
>   which is amusing and can come in handy.
> 3) Buy the $250 aluminum on ebay
> 4) Buy the $700 aluminum via Greg
>
> I know that if I use the radiator with the starter hole that
> I lose something like 5% of my cooling, though the radiator
> is probably cleaner than the original, so it's probably about
> the same.
>
>
> Does anyone kynow how to tell the difference between the
> radiators on ebay?  Anyone buy one of these $250 aluminum radiators?
>
> And any thoughts on the difference between aluminum and stock?
>
> Donate: http://www.team.net/donate.html
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
http://autox.team.net/mailman/options/triumphs/[email-masked]

---

From: "Skip Gurnee" <[email-masked]>
Date: Wed, 23 Oct 2013 20:34:39 -0700

Hi David-
I bought one for the TVR from Griffin Radiators, and I'm a satisfied 
customer.  They're back east in Piedmont, S.C.  Look them up on the internet 
(www.griffinrad.com) and/or call them at 1-800-722-3723.  You can specify 
your own radiator as I did, by filling out forms provided on their website. 
I can't find a record of how much I paid for it, but I remember it was 
rather expensive, probably in your $700 category.  The product was worth it. 
It's perfect dimensionally, well made, cools much better than stock, and 
it's pretty!  I think they have dealers in California, but custom units come 
from the S.C. factory.
Skip Gurnee
64 TR4 bought new in 1963
70 TVR Vixen race car
and others...

-----Original Message----- 
From: David Ljung Madison
Sent: Wednesday, October 23, 2013 5:58 PM
To: [email-masked]
Subject: [TR] Aluminum radiators

So my options:

---

From: David Ljung Madison <[email-masked]>
Date: Wed, 23 Oct 2013 22:52:50 -0700

On 13/10/23 21:42 -0700, Dave Hogye wrote:
> A stock replacement will cost more than aluminum..

To be clear, I already have a stock replacement in my storage.  I
haven't pressure tested it, but it looks like it's in great shape.

I've used the crank on my previous Triumph, though hopefully my
current TR3A will be more reliable, but you never know, and it's nice
to have the option.

It's hard to get a clear picture of how much Aluminum helps.

Dave

---------------------------------------------------------------------------
Dave Ljung Madison          http://GetDave.com/                415.341.5555
--- "Why don't we take a vote?" I suggested.                           ----
    "No!" said David. "That's not fair because the majority will win!"

---

From: "Bob Danielson" <[email-masked]>
Date: Thu, 24 Oct 2013 07:43:58 -0400 3cLc2x+z3DJ10S9k31ijPic3Ev1UutBL75EU89gO5t26OF6bNo ANch70wN95uwti421GQddlnFtvzvRjoP+Ea5O5S3VPcvJVAj00 RIdn1BUcAKLysSH/b0nVYsU2dppAeuZPe7aoEoefqA6LtA3fYn 3yyCT52vNatk3HqMEjIfIMyxmEbPCa2vckUpwDEUYHvN4kvFyv OQHVNpoiH1IcztkLSSCoOow5G9imEs3GcjMIUzciDOlZO3+5LY g6xqL60z1Xb8oYpcK7Ii6NS4tCR61ptZQAV4Ad6K4KOzfnmka9 EIpAU/SwEKOSQui2GXHN1bAMhrCbUqoWVdKvqiixK/gtjqf6ND 073gRxMZ7KnPw==

The Big 3 manufacturers, that I could find, of aluminum radiators for a 
Triumph are: Griffin, Davis and Wizard Cooling. I got pricey prices from 
each of them for: radiator, 16" Fan, custom fan mounts and fan wire harness 
with temperature sensor.

On my TR6 I have a Wizard aluminum radiator with puller fan (sold by Art 
Lipp) that's worked fine for the past 5 years HOWEVER........ it's more for 
bling than function. On a TR6, the stock radiator is quite adequate IF the 
complete cooling system is in good shape i.e. radiator and engine block. In 
other words, an aluminum radiator isn't going to fix a car with block in bad 
shape cooling wise.

Going back to your original post.......... it sounds like your existing 
radiator doesn't flow properly which leads to cooling concerns by the 
rebuilder. Can it be re-cored if originality is your primary concern? 
Or.....have them test your spare to see how it flows.

Or maybe my question should be........ does the TR3 have inherent cooling 
problems that could be helped by an aluminum radiator that handles hear 
"better"?

Bob

www.TR6.Danielsonfamily.org
1975 Mimosa TR6 with:
Throttle Body Injection
Toyota 5 Speed
Nissan Diff
CVJs
And more....

-----Original Message----- 
From: David Ljung Madison
Sent: Thursday, October 24, 2013 1:52 AM
To: Dave Hogye
Cc: [email-masked]
Subject: Re: [TR] Aluminum radiators

Dave

Archive: http://www.team.net/archive
http://autox.team.net/mailman/options/triumphs/[email-masked]

---

From: Ted Schumacher <[email-masked]>
Date: Fri, 25 Oct 2013 10:21:17 -0400

Hi List. With all the talk about aluminum radiators, one issue was 
missed.  With the exception of TR7 & TR8, all the cars from Spit through 
TR6 have a radiator that is a "solid" mount. Aluminum, by nature, can 
not stand any twisting, flexing or "racking".  All these cars are 
body/frame construction.  Frames twist and flex and since radiator is 
hard mounted, so does the radiator.  Another, and we feel better, choice 
is a modern re-core. Our radiator shop use a MaxCool core. Large 
diameter, oval shaped fins with lots of surface for heat dissipation. Ted

On 10/23/2013 8:58 PM, David Ljung Madison wrote:
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
>
>

-- 
Ted Schumacher
[email-masked]
http://www.tsimportedautomotive.com
108 S. Jefferson St.
Pandora, Ohio, USA 45877
Fax: 419.384.3272 (24 Hrs.)
Phone: 800.543.6648 (US & Canada)
Tech/ Gen. Information/ Worldwide: 419.384.3022

---

From: William Pugh <[email-masked]>
Date: Sun, 27 Oct 2013 15:47:01 -0700

Thatbs weird,
	I have a Ron Davis aluminum radiator on Casper (1957 TR3 for about 10 years
now with no problems and no overheating b& hmmm  Guess I am just lucky.

On Oct 25, 2013, at 7:21 AM, Ted Schumacher <[email-masked]> wrote:

> Hi List. With all the talk about aluminum radiators, one issue was missed.
With the exception of TR7 & TR8, all the cars from Spit through TR6 have a
radiator that is a "solid" mount. Aluminum, by nature, can not stand any
twisting, flexing or "racking".  All these cars are body/frame construction.
Frames twist and flex and since radiator is hard mounted, so does the
radiator.  Another, and we feel better, choice is a modern re-core. Our
radiator shop use a MaxCool core. Large diameter, oval shaped fins with lots
of surface for heat dissipation. Ted
>> And any thoughts on the difference between aluminum and stock?

"Life is too short to drive boring cars"

Bill Pugh
1957 TR3 "Casper"p;
TS16765L
Wallace, CA
[email-masked]